// MySocket.h: interface for the CMySocket class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#if _MSC_VER > 1200 // Version Higher than VC6
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0502 // phyu 19Jan2012
#endif
#endif

#include <afxsock.h> // MFC socket extensions

class CVisionNW;
class CMySocket : public CSocket // CAsyncSocket
{
public:
    explicit CMySocket(CVisionNW* pParent);
    virtual ~CMySocket();

    virtual BOOL OnMessagePending();
    void SetParent(CVisionNW* pVision);

protected:
    virtual void OnSend(int nErrorCode);
    virtual void OnReceive(int nErrorCode);
    virtual void OnClose(int nErrorCode);
    virtual void OnConnect(int nErrorCode);
    virtual void OnAccept(int nErrorCode);

private:
    CVisionNW* m_pcVision;
};

